Package net.sourceforge.jiu.apps

# Class JiuConvertSettings

java.lang.Object
net.sourceforge.jiu.apps.JiuConvertSettings

class JiuConvertSettings extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) File`
`destinationDirectory`
`(package private) int`
`fileFormat`
`(package private) static final int`
`FORMAT_BMP`
`(package private) static final int`
`FORMAT_PALM`
`(package private) static final int`
`FORMAT_PNM`
`(package private) static final int`
`FORMAT_UNKNOWN`
`(package private) Vector`
`inputFileNames`
`(package private) boolean`
`noAwtLoading`
`(package private) boolean`
`overwrite`
`(package private) boolean`
`testOnly`
`(package private) long`
`time1`
`(package private) long`
`time2`
`(package private) int`
`verbosity`
`(package private) static final int`
`VERBOSITY_HIGH`
`(package private) static final int`
`VERBOSITY_NORMAL`
`(package private) static final int`
`VERBOSITY_QUIET`

## Constructor Summary

Constructors
Constructor
Description
`JiuConvertSettings()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VERBOSITY_QUIET

static final int VERBOSITY_QUIET

See Also:
  - Constant Field Values

### VERBOSITY_NORMAL

static final int VERBOSITY_NORMAL

See Also:
  - Constant Field Values

### VERBOSITY_HIGH

static final int VERBOSITY_HIGH

See Also:
  - Constant Field Values

### FORMAT_UNKNOWN

static final int FORMAT_UNKNOWN

See Also:
  - Constant Field Values

### FORMAT_BMP

static final int FORMAT_BMP

See Also:
  - Constant Field Values

### FORMAT_PNM

static final int FORMAT_PNM

See Also:
  - Constant Field Values

### FORMAT_PALM

static final int FORMAT_PALM

See Also:
  - Constant Field Values

### inputFileNames

Vector inputFileNames

### destinationDirectory

File destinationDirectory

### fileFormat

int fileFormat

### noAwtLoading

boolean noAwtLoading

### overwrite

boolean overwrite

### testOnly

boolean testOnly

### time1

long time1

### time2

long time2

### verbosity

int verbosity

## Constructor Details

### JiuConvertSettings

JiuConvertSettings()